gutsy->hardy upgrade has wrong init script priority

Bug #211343 reported by Martin Pitt on 2008-04-03
6
Affects Status Importance Assigned to Milestone
hal (Ubuntu)
High
Martin Pitt

Bug Description

Binary package hint: hal

/etc-upgrade.tar/etc/rc2.d/S12hal
/etc-fresh.tar/etc/rc2.d/S24hal

Related branches

Martin Pitt (pitti) wrote :

This has the potential to break hal, milestoning.

Changed in hal:
assignee: nobody → pitti
importance: Undecided → High
milestone: none → ubuntu-8.04
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal - 0.5.11~rc2-1ubuntu6

---------------
hal (0.5.11~rc2-1ubuntu6) hardy; urgency=low

  * debian/patches/01_default_suspend_quirks.patch: Use quirks on i845 and
    i865, too; thanks, Matthew Garrett.
  * debian/hal.postinst: Fix rc.d symlinks harder on upgrades from dapper.
    (LP: #211343)

 -- Martin Pitt <email address hidden> Tue, 08 Apr 2008 18:24:15 -0500

Changed in hal:
status: In Progress → Fix Released
JoseRene (jruh) wrote :

Testing Hardy beta
- After installing all updates available, on restarting system hal failed to initialise and no connectivity to the internet available; wireless or via network.
- Reinstalled Hardy beta from scratch and updated all except for hal: no fail to initialise message and connectivity available.

Martin Pitt (pitti) wrote :

Jose, can you please give the output of

  ls -l /etc/rc*.d/*hal

?

JoseRene (jruh) wrote :

Hi Martin,

I decided to run your instructions before updating, after updating but not
restarting and after restarting the computer. There was no change to the
output and I did not lose connectivity; all appears fine.

this is the output I got every time:
lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc1.d/K16hal ->
../init.d/hal
lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc2.d/S24hal ->
../init.d/hal
lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc3.d/S24hal ->
../init.d/hal
lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc4.d/S24hal ->
../init.d/hal
lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc5.d/S24hal ->
../init.d/hal

All I can think of is doing the update alongside others triggers the problem
so I am going to try that. Ill send you this email for now and will let you
know later what happens. It may take a while as I will reinstall all and may
need to change to my regular HD if I get the problem again.

Cheers

Jose

Martin Pitt writes:

> Jose, can you please give the output of
>
> ls -l /etc/rc*.d/*hal
>
> ?
>
> --
> gutsy->hardy upgrade has wrong init script priority
> https://bugs.launchpad.net/bugs/211343
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "hal" in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: hal
>
> /etc-upgrade.tar/etc/rc2.d/S12hal
> /etc-fresh.tar/etc/rc2.d/S24hal

JoseRene (jruh) wrote :

Hi Martin,

I reinstalled Hardy beta then updated all then restarted the laptop and just
as in previous occasions, "failed to initialize hal!" appeared and I had no
capacity to use wireless or network modem. I ran your instructions and got
exactly the same results except for the date: 2008-04-20 20:09.

I am now using my regular HD but am happy to swap it for the test one (which
cannot connect to Internet) to continue exploring if it helps.

Cheers,

Jose

Jose Urias writes:

> Hi Martin,
>
> I decided to run your instructions before updating, after updating but not
> restarting and after restarting the computer. There was no change to the
> output and I did not lose connectivity; all appears fine.
>
> this is the output I got every time:
> lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc1.d/K16hal ->
> ../init.d/hal
> lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc2.d/S24hal ->
> ../init.d/hal
> lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc3.d/S24hal ->
> ../init.d/hal
> lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc4.d/S24hal ->
> ../init.d/hal
> lrwxrwxrwx 1 root root 13 2008-04-17 18:28 /etc/rc5.d/S24hal ->
> ../init.d/hal
>
> All I can think of is doing the update alongside others triggers the
> problem so I am going to try that. Ill send you this email for now and
> will let you know later what happens. It may take a while as I will
> reinstall all and may need to change to my regular HD if I get the problem
> again.
>
> Cheers
>
> Jose
>
> Martin Pitt writes:
>
>> Jose, can you please give the output of
>>
>> ls -l /etc/rc*.d/*hal
>>
>> ?
>>
>> --
>> gutsy->hardy upgrade has wrong init script priority
>> https://bugs.launchpad.net/bugs/211343
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Source Package "hal" in Ubuntu: Fix Released
>>
>> Bug description:
>> Binary package hint: hal
>>
>> /etc-upgrade.tar/etc/rc2.d/S12hal
>> /etc-fresh.tar/etc/rc2.d/S24hal

Martin Pitt (pitti) wrote :

After the upgrade, were the /etc/rc*/*hal* symlinks the same?

JoseRene (jruh) wrote :

Yes Martin,

I have checked again the non-functioning installation, they are the same
results. The first ones I sent you were a "copy" and "paste" from the
results I got from the terminal when Hardy Heron beta was functioning. After
updating hal it is not possible to access any media to do the copy and paste
but I checked again and apart from the date and time everything else is the
same after the update.

Further comment: remember that this problem only happens when hal is updated
with all the other updates available. When I unticked hal and updated
everything else and then I updated hal I did not get this problem - which
means this problem may be irrelevant if the latest hal is going to be
included in the CD and not as an upgrade.

Do you need to know what hardware I am using? Toshiba Satellite 2450.

Cheers

Jose

Martin Pitt writes:

> After the upgrade, were the /etc/rc*/*hal* symlinks the same?
>
> --
> gutsy->hardy upgrade has wrong init script priority
> https://bugs.launchpad.net/bugs/211343
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Source Package "hal" in Ubuntu: Fix Released
>
> Bug description:
> Binary package hint: hal
>
> /etc-upgrade.tar/etc/rc2.d/S12hal
> /etc-fresh.tar/etc/rc2.d/S24hal

Martin Pitt (pitti) wrote :

Jose, if your symlinks are correct (S24 instead of S12), then you have a different bug. Can you please open a new report about it and include all relevant information? At the moment it is not quite clear to me when the problem happens (i. e. hal not running). Thank you!

On Mon, 2008-04-28 at 09:21 +0000, Martin Pitt wrote:

> Jose, if your symlinks are correct (S24 instead of S12), then you have a
> different bug. Can you please open a new report about it and include all
> relevant information? At the moment it is not quite clear to me when the
> problem happens (i. e. hal not running). Thank you!
>

The bug is not present in Hardy Heron any more. I have installed it and
it is running fine - I am using it now.

The bug only appeared in the beta version after updating hal. There is
no need to report a bug now that it is gone. Thanks for your attention
to my request.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers